#!/usr/bin/env ruby

#
# rakeを呼び出すシンプルなラッパースクリプト。
#
# $Id$
#
$KCODE = "SJIS"

parent_dir = File.expand_path(File.dirname($0))
lib_dir = File.join(parent_dir, "build-tools/rake/lib")
#puts "parent_dir = #{parent_dir}"
#puts "lib_dir = #{lib_dir}"

# Set up command arguments
args = Array.new
args.push("-I")
args.push(lib_dir)
args.push(File.join(parent_dir, "build-tools/rake/bin/rake"))
args.push("--trace")
ARGV.each { |a| args.push(a) }

# Execute command
if system("ruby", *args)
  exit($? >> 8)
else
  exit(1)
end
